Public Attributes | List of all members
_calendar_time Struct Reference
Peripheral Driver » HAL Driver » CALENDAR » Structures » CALENDAR time

CALENDAR time structure definition. More...

`#include <hal_calendar.h>`

## Public Attributes
uint8_t | sec
uint8_t | min
uint8_t | hour
uint8_t | date
uint8_t | mon
uint8_t | year
uint8_t | week
uint16_t | ms

## Detailed Description

CALENDAR time structure definition.

Definition at line 75 of file hal_calendar.h.

## Member Data Documentation

## ◆ date

uint8_t _calendar_time::date

Specifies the Calendar date. This parameter must be a number between min_value = 1 and max_value = 31.

Definition at line 86 of file hal_calendar.h.

## ◆ hour

uint8_t _calendar_time::hour

Specifies the Calendar time hour. This parameter must be a number between min_value = 0 and max_value = 23.

Definition at line 83 of file hal_calendar.h.

## ◆ min

uint8_t _calendar_time::min

Specifies the Calendar time minutes. This parameter must be a number between min_value = 0 and max_value = 59.

Definition at line 80 of file hal_calendar.h.

## ◆ mon

uint8_t _calendar_time::mon

Specifies the Calendar month. This parameter must be a number between min_value = 1 and max_value = 12.

Definition at line 89 of file hal_calendar.h.

## ◆ ms

uint16_t _calendar_time::ms

Specifies the Calendar time milliseconds. This parameter must be a number between min_value = 0 and max_value = 999.

Definition at line 98 of file hal_calendar.h.

## ◆ sec

uint8_t _calendar_time::sec

Specifies the Calendar time seconds. This parameter must be a number between min_value = 0 and max_value = 59.

Definition at line 77 of file hal_calendar.h.

## ◆ week

uint8_t _calendar_time::week

Specifies the Calendar weekday. This parameter must be a number between min_value = 0 and max_value = 6.

Definition at line 95 of file hal_calendar.h.

## ◆ year

uint8_t _calendar_time::year

Specifies the Calendar year which stars from 2010. This parameter must be a number between min_value = 0 and max_value = 99.

Definition at line 92 of file hal_calendar.h.

The documentation for this struct was generated from the following file:

- hal_calendar.h